Bug 346171 - Review Request: ivtv-firmware - Firmware for the PVR 250/350/150/500 model series
Review Request: ivtv-firmware - Firmware for the PVR 250/350/150/500 model se...
Status: CLOSED DUPLICATE of bug 250970
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 346161
  Show dependency treegraph
 
Reported: 2007-10-22 21:24 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-02-02 16:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-02 16:17:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-10-22 21:24:01 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/ivtv/ivtv-firmware.spec
SRPM URL:
http://kwizart.free.fr/fedora/7/testing/ivtv/ivtv-firmware-0-1.20070217.noarch.rpm
Description: Firmware for hardware based on Conexant's CX23415/CX23416 codec chip

There was a preview review #250971 - but it was CLOSED to INSUFFICIENT_DATA   

In my view there is no need to requires anything, but instead, the ivtv-utils (or xorg-x11-drv-ivtv) need to requires the ivtv-firmware.
(need to be confirmed by testers).
Comment 1 Jason Tibbitts 2007-10-22 22:26:06 EDT
You don't seem to have an srpm.  I built one from the spec and everything looks
good except for one issue:

You cannot package the two .txt files as %doc; the license requires that they be
included and installed in the same directory as the firmware itself.  This means
that they must be included even in a --nodocs installation.

The only problem with keeping them in /lib/firmware is that they have somewhat
generic names.  I don't think anything prohibits you from renaming the license
files; maybe you could prefix them with "ivtv-" so there would be slightly less
confusion.
Comment 2 Nicolas Chauvet (kwizart) 2007-10-22 23:21:01 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/ivtv/ivtv-firmware.spec
SRPM URL:
http://kwizart.free.fr/fedora/7/testing/ivtv/ivtv-firmware-0-2.20070217.src.rpm
Description: Firmware for hardware based on Conexant's CX23415/CX23416 codec chip

Done... 
Comment 3 Jason Tibbitts 2007-10-23 01:13:48 EDT
Hmm, something's still not right.  Ah:

install -pm 0644 license-end-user.txt \
  $RPM_BUILD_ROOT/lib/firmware/ivtv-license-end-user.txt
install -pm 0644 license-end-user.txt \
  $RPM_BUILD_ROOT/lib/firmware/ivtv-license-end-user.txt

You install the same file twice; I guess one of those is supposed to install
license-oemihvisv.txt instead.  I'll just progress with the review after
changing one of those.

You do end up including the license files twice.  I guess this is OK, as now
this package mirrors almost exactly what the ipw2200 package does.

Is it expected that the firmware will one day acquire a version?  If not, then
there's no reason why you couldn't just use the date as the version instead of
using 0 as the version and encoding the date in the release.  I'll leave that up
to you; you can decide to change it in the future if you want.

* source files match upstream:
   9d9ecb370ea3ca90956f05e0167f75325b2ccd6a17faf3fbc18475f4da0b5dda  
   firmware-20070217.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is acceptable for firmware.
* license text included in package in the required location.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane (no runtime dependencies)
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content (firmware)
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, provided you fix the bit with the missing license file.
Comment 4 Nicolas Chauvet (kwizart) 2007-10-23 07:29:09 EDT
New Package CVS Request
=======================
Package Name:      ivtv-firmware
Short Description: Firmware for hardware based on Conexant's CX23415/CX23416
codec chip
Owners:            kwizart
Branches:          F-8 F-7
InitialCC:         <empty>
Commits by cvsextras: yes

Thx for the review, I will only build on devel for now... so I could have
feedbacks... from rawhiders...

perl-Video-ivtv is might be around...(still missing ivtv and
perl-Video-Frequency)...


Comment 5 Kevin Fenzi 2007-10-23 13:34:08 EDT
cvs done.
Comment 6 Axel Thimm 2007-10-24 13:54:15 EDT
Please also see bug #250970 for a competing review. I don't think it is correct
for a reviewer to close a submitter's bug who filed in to the /wiki/Vacation
page. and push the package as his own. Especially if the items he didn't approve
were rather minor or even false leading to a worse package.

Please undo this review or escalate this to the appropriate instance whatever
that is, fesco or else.
Comment 7 Nicolas Chauvet (kwizart) 2007-10-24 14:03:34 EDT
No need to raise to fesco with this...
You just need to produce rational and that will be fine...

Comment 8 Nicolas Chauvet (kwizart) 2008-02-02 05:53:04 EST
Package Change Request
======================
Package Name: ivtv-firmware
Updated Description: Firmware for the PVR 250/350/150/500 model series
Comment 9 Nicolas Chauvet (kwizart) 2008-02-02 05:53:20 EST
*** Bug 250970 has been marked as a duplicate of this bug. ***
Comment 10 Kevin Fenzi 2008-02-02 13:38:14 EST
cvs done.
Comment 11 Axel Thimm 2008-02-02 16:17:55 EST

*** This bug has been marked as a duplicate of 250970 ***

Note You need to log in before you can comment on or make changes to this bug.